Index: trunk/src/samhain_stealth.c
===================================================================
--- trunk/src/samhain_stealth.c	(revision 581)
+++ trunk/src/samhain_stealth.c	(revision 1)
@@ -270,35 +270,29 @@
 static void usage ()
 {
-      fprintf(stdout, "%s", _("\nUsage:  samhain_stealth -i|s|g|o <where> "\
-			      "[what]\n\n"));
-
-      fprintf(stdout, "%s", _("   -i info on PS image 'where'\n"));
-      fprintf(stdout, "%s", _("      (how much bytes can be hidden in it).\n"));
-      fprintf(stdout, "%s", _("   -s hide file 'what' in PS image 'where'\n"));
-      fprintf(stdout, "%s", _("   -g get hidden data from PS image 'where'\n"));
-      fprintf(stdout, "%s", _("      (output to stdout)\n"));
-      fprintf(stdout, "%s", _("   -o size of file 'where' = offset to "\
-			      "end-of-file\n"));
-      fprintf(stdout, "%s", _("      (same as wc -c).\n\n"));
-      fprintf(stdout, "%s", _(" Example: let bar.ps be the ps file, and"\
-			      "foo the config file\n"));
-      fprintf(stdout, "%s", _("   1) extract with: samhain_stealth "\
-			      "-g bar.ps >foo\n"));
-      fprintf(stdout, "%s", _("   2) hide with:    samhain_stealth "\
-			      "-s bar.ps foo\n\n"));
-
-      fprintf(stdout, "%s", _(" This program hides a file in an UNCOMPRESSED "\
-			      "postscript\n"));
-      fprintf(stdout, "%s", _(" image. To generate such an image, you may " \
-			      "use e.g.:\n"));
-      fprintf(stdout, "%s", _("   'convert +compress foo.jpg bar.ps'.\n"));
-      fprintf(stdout, "%s", _("   'gimp' apparently saves postscript "\
-			      "uncompressed by default\n"));
-      fprintf(stdout, "%s", _("         (V 1.06 of the postscript plugin).\n"));
-      fprintf(stdout, "%s", _("   'xv' seems to save with run-length "\
-			      "compression, which is unsuitable.\n"));
-      fprintf(stdout, "%s", _(" The program does not check the "\
-			      "compression type of the PS file.\n"));
-      fprintf(stdout, "%s", _(" Just have a look at the result to check.\n"));
+      fprintf(stdout, _("\nUsage:  samhain_stealth -i|s|g|o <where> "\
+			"[what]\n\n"));
+
+      fprintf(stdout, _("   -i info on PS image 'where'\n"));
+      fprintf(stdout, _("      (how much bytes can be hidden in it).\n"));
+      fprintf(stdout, _("   -s hide file 'what' in PS image 'where'\n"));
+      fprintf(stdout, _("   -g get hidden data from PS image 'where'\n"));
+      fprintf(stdout, _("      (output to stdout)\n\n"));
+      fprintf(stdout, _("   -o size of file 'where' = offset to "\
+			"end-of-file\n"));
+      fprintf(stdout, _("      (same as wc -c).\n"));
+
+      fprintf(stdout, _(" This program hides a file in an UNCOMPRESSED "\
+	      "postscript\n"));
+      fprintf(stdout, _(" image. To generate such an image, you may "\
+	      "use e.g.:\n"));
+      fprintf(stdout, _("   'convert +compress foo.jpg bar.ps'.\n"));
+      fprintf(stdout, _("   'gimp' apparently saves postscript uncompressed "\
+			"by default\n"));
+      fprintf(stdout, _("          (V 1.06 of the postscript plugin).\n"));
+      fprintf(stdout, _("   'xv' seems to save with run-length compression, "\
+	      "which is unsuitable.\n"));
+      fprintf(stdout, _(" The program does not check the compression type of "\
+	      "the PS file.\n"));
+      fprintf(stdout, _(" Just have a look at the result to check.\n\n"));
       return;
 }
@@ -341,6 +335,5 @@
       if (fd == -1) 
 	{
-	  fprintf(stderr, _("Error: could not open() %s for reading\n"), 
-		  argv[2]);
+	  fprintf(stderr, _("Error: could not open() %s for reading\n"), argv[2]);
 	  return (1);
 	}
@@ -397,5 +390,5 @@
 
       fprintf(stdout, _(" .. hide %s in %s .. \n"), argv[3], argv[2]);
-      while (fgets(buf, sizeof(buf), infil))
+      while (fgets(buf, 1023, infil))
 	{
 	  lseek(fd, off_data, SEEK_SET);
@@ -414,5 +407,5 @@
        */
       lseek(fd, off_data, SEEK_SET);
-      add_off = hidein_hex_block(fd, _("\n[EOF]\n"), 7);
+      add_off = hidein_hex_block(fd, _("[EOF]\n"), 6);
       if (add_off == -1)
 	{
@@ -421,5 +414,5 @@
 	  return (1);
 	}
-      fprintf(stdout, "%s", _(" .. finished\n"));
+      fprintf(stdout, _(" .. finished\n"));
       return (0);
     }
@@ -462,3 +455,4 @@
   return (1);
 }
-
+  
+      
